Bug 1351230 (CVE-2016-1000025) - CVE-2016-1000025 nodejs-ws: DoS due to excessively large websocket message
Summary: CVE-2016-1000025 nodejs-ws: DoS due to excessively large websocket message
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-1000025
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1351231 1351232 1351233
Blocks: 1351235
TreeView+ depends on / blocked
 
Reported: 2016-06-29 14:04 UTC by Andrej Nemec
Modified: 2019-09-29 13:52 UTC (History)
11 users (show)

Fixed In Version: nodejs-ws 1.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 18:24:01 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-29 14:04:31 UTC
ws is a "simple to use, blazing fast and thoroughly tested websocket client, server and console for node.js, up-to-date against RFC-6455"

By sending an overly long websocket payload to a ws server, it is possible to crash the node process.

External references:

https://nodesecurity.io/advisories/120

Upstream bug:

https://github.com/nodejs/node/issues/7388

Comment 2 Andrej Nemec 2016-06-29 14:05:15 UTC
Created nodejs-ws tracking bugs for this issue:

Affects: fedora-all [bug 1351231]
Affects: epel-all [bug 1351232]

Comment 3 Kurt Seifried 2016-06-29 18:24:25 UTC
Statement:

This issue affects the versions of nodejs-ws as shipped with Red Hat OpenShift Enterprise 2. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 Fedora Update System 2016-07-09 23:52:41 UTC
nodejs-ws-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-07-10 05:56:48 UTC
nodejs-ws-1.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-17 15:46:21 UTC
nodejs-ws-1.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-18 18:49:26 UTC
nodejs-ws-1.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.